Bug 1380859 - Should obsolete liveusb-creator
Summary: Should obsolete liveusb-creator
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 19:48 UTC by Adam Williamson
Modified: 2017-07-31 18:42 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-15 13:34:16 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1381327 None None None Never

Internal Trackers: 1381327

Description Adam Williamson 2016-09-30 19:48:59 UTC
The 'mediawriter' package should have:

Obsoletes: liveusb-creator < 3.95.2-2
Provides: liveusb-creator = %{version}-%{release}

I think, to ease the transition for users of the old package. This should be done for all releases.

Comment 1 Kamil Páral 2016-10-03 08:46:37 UTC
There are more issues with it. Currently liveusb-creator is shown as "Fedora Media Writer" in gnome-software. The actual mediawriter is not yet present in gnome-software (because appstream-data package hasn't been updated yet). So even though we've done a lot of work on FMW (and LUC is currently completely broken on wayland), people using gnome-software will get LUC and not FMW when they use gnome-software (but they will believe they have FMW, and the app the installed will not even start for them).

This issue is present for all Fedora releases (from F23 to Rawhide).

I'm proposing this as a Final blocker. I believe it's conditional violation of this Beta criterion:
"Release-blocking live and dedicated installer images must boot when written to optical media of an appropriate size (if applicable) and when written to a USB stick with any of the officially supported methods."
https://fedoraproject.org/wiki/Fedora_25_Beta_Release_Criteria#Release-blocking_images_must_boot

FMW is the first method mentioned in the official methods link. It is true that everything technically works as long as you install it with dnf, but if you use gnome-software, everything *seems* broken and people will have no knowledge of the underlying issue.

I believe LUC should get obsoleted by FMW (or at least get renamed back to LUC in appstream metadata), and appstream-data refreshed in order to fix this.

Comment 2 Adam Williamson 2016-10-03 15:49:14 UTC
"FMW is the first method mentioned in the official methods link."

To be fair this has only been the case since like Friday =) But yeah, overall I'd agree: assuming we're moving forward with FMW for this cycle and no-one is going to fix LUC, we need to make sure FMW is what you see and what you get in our official tools.

I can imagine this might be a difficult situation for gnome-software to actually handle, though (two packages both claiming to be Fedora Media Writer)...even with the Obsoletes: , we may find that the situation in GNOME Software remains confusing, I guess we'll have to see and talk to hughsie if necessary.

Comment 3 Kamil Páral 2016-10-03 17:38:06 UTC
I split the issue I described in comment 1 into bug 1381327.

Comment 4 Petr Schindler 2016-10-03 17:39:52 UTC
Discussed at 2016-10-03 blocker review meeting: [1]. 

This bug was rejected as Final blocker: we don't think adding this Obsoletes: specifically would really resolve anything that could be described as a 'criteria violation'. however, we discussed some other cases which may be more suitable and will propose new blockers

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-10-03/

Comment 5 Adam Williamson 2016-10-30 00:03:06 UTC
This is  still not done, and I think could really confuse people. It already confused satellit:

<satellit> 14:21:53> adamw: f25 workstation: dnf install livusb-creator does not start but gnome-software mediawriter does?  bug? (Fedora-Workstation-Live-x86_64-25-20161029.n.0.iso installed)

Can we please do something about this? preferably, have mediawriter obsolete liveusb-creator ?

Comment 6 Adam Williamson 2016-10-30 00:04:50 UTC
CCing mattdm and jkurik - I think this should go on your 'important issues' list.

Comment 7 satellitgo 2016-10-30 00:10:01 UTC
<satellit> adamw: f25 workstation: dnf install liveusb-creator does not start but gnome-software mediawriter does?  bug? 
(Fedora-Workstation-Live-x86_64-25-20161029.n.0.iso installed)
both show in workstation. I get 2 different icons in workstation: liveusb-creator and mediawriter....  mediawriter is only one that starts and works.

<adamw> satellit: well, the bug there is not in dnf or Software. the bug is that the old liveusb-creator still exists in the repos. it really should be removed.
<adamw> satellit: https://bugzilla.redhat.com/show_bug.cgi?id=1380859
<satellit> +1 it is confusing

Comment 8 Fedora Update System 2016-10-31 12:37:13 UTC
mediawriter-4.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10ffb404a4

Comment 9 Fedora Update System 2016-11-01 02:21:31 UTC
mediawriter-4.0.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10ffb404a4

Comment 10 Fedora Update System 2016-11-03 18:29:07 UTC
mediawriter-4.0.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-11 08:09:54 UTC
mediawriter-4.0.4-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-239cdfbfd6

Comment 12 Fedora Update System 2016-11-11 16:58:12 UTC
mediawriter-4.0.4-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-239cdfbfd6

Comment 13 Fedora Update System 2016-11-15 13:34:16 UTC
mediawriter-4.0.4-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-19 21:06:12 UTC
mediawriter-4.0.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.